import java.net.ServerSocket;
import java.net.Socket;

public class Server extends Thread{

	ServerSocket ssock;
	Peer peer;
	
	Server(Peer peer){
		super("Server");
		this.peer = peer;
		start();
	}

	public void run(){
		try{
			ServerSocket serversocket = new ServerSocket(peer.port);
			peer.logger.log(this, "Server started listening on " + peer.port);
			while (true) {
				Socket sock = serversocket.accept(); //Listen for clients
				peer.logger.log(this, "Client connected: " + sock);
				new ServerThread(peer, sock);
			}
		}
		catch(Exception e){
			e.printStackTrace();
		}
	}
}
