import java.io.BufferedReader;
import java.io.InputStreamReader;

public class LocalClient extends Thread{

	Peer peer;
	BufferedReader keyboard;
	
	LocalClient(Peer peer){
		this.peer = peer;
		keyboard = new BufferedReader(new InputStreamReader(System.in));
		start();
	}
	
	public void run(){
		try{
			while(true){
				String input = keyboard.readLine();
				peer.requestprocessor.exec(input);
			}
		}
		catch(Exception e){
			e.printStackTrace();
		}
	}
}
